import { Injectable } from '@angular/core';
import { _HttpClient } from '@delon/theme';

@Injectable({
  providedIn: 'root',
})
export class ListService {
  constructor(private http: _HttpClient) {}

  /**
   *获取资产台账列表
   *
   * @param {number} kindAsset  1为类固定 2固定
   * @returns
   * @memberof ListService
   */
  getKindAssetList(kindAsset: number) {
    const url = 'asset/a/asset/assets/data?kindAsset=' + kindAsset;
    return this.http.get(url);
  }
}
